#
# spec file for package radeontop
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           radeontop
Version:        0.9
Release:        1.7
Summary:        View Radeon GPU utilization
License:        GPL-3.0
Group:          System/Monitoring
Url:            https://github.com/clbr/radeontop
Source:         https://github.com/clbr/radeontop/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  ncurses-devel
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(libdrm)
BuildRequires:  pkgconfig(pciaccess)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
View Radeon GPU utilization, both for the total activity percent and individual
blocks.
Supported cards R600 and up, even Southern Islands should work fine. Works with
both the open drivers and AMD Catalyst.
The total GPU utilization is also valid for OpenCL loads; the other blocks are
only useful in GL loads.

%prep
%setup -q

%build
export CFLAGS="%{optflags}"
make %{?_smp_mflags}

%install
%make_install

%find_lang %{name}

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING README.md
%{_sbindir}/radeontop
%{_mandir}/man1/radeontop.1%{ext_man}

%changelog
* Sun Jul 10 2016 mpluskal@suse.com
- Change dependecies to allow building for SLE-12
* Wed Sep 30 2015 mpluskal@suse.com
- Also install COPYING
* Mon Sep 21 2015 mpluskal@suse.com
- Initial package based on home:Ledest:misc/radeontop
